SoapServer::getFunctions
SoapServer::setClass
SoapServer
PHP Manual

# SoapServer::handle

(PHP 5 >= 5.0.1)

SoapServer::handle — Handles a SOAP request

### Description

public void SoapServer::handle ([ string `$soap_request` ] )

Processes a SOAP request, calls necessary functions, and sends a response back.

### Parameters

`soap_request`

  The SOAP request. If this argument is omitted, the request is assumed to be in the raw POST data of the HTTP request.

### Return Values

No value is returned.

### Examples

Example #1 SoapServer::handle() example

`<?php
function test($x)
{
return $x;
}
$server = new SoapServer(null, array('uri' => "http://test-uri/"));
$server->addFunction("test");
$server->handle();
?>`

### See Also

- SoapServer::SoapServer() - SoapServer constructor

SoapServer::getFunctions
SoapServer::setClass
SoapServer
PHP Manual